Bug 167047 - cciss, add pci id for P400
cciss, add pci id for P400
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Coughlan
Brian Brock
:
Depends On:
Blocks: 156320
  Show dependency treegraph
 
Reported: 2005-08-29 15:33 EDT by Tom Coughlan
Modified: 2007-11-30 17:07 EST (History)
7 users (show)

See Also:
Fixed In Version: RHSA-2005-663
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-28 11:35:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Coughlan 2005-08-29 15:33:08 EDT
HP requests an additional PCI ID for RHEL 3. This patch also cleans up the
removal of a change that we are deferring to U7. 

HP would like this for U6. This seems reasonable, if there is another respin.
This hardware generation was planned for U6. 

-------------------

Tom,
I saw you took part of the reference driver code out of my submission. This
patch removes the rest of it. It also adds _another_ id which I got after
I sent in the last update. Please add this patch or one of our servers will not
be supported. This board is the embedded version
 of the P400.
I apologize for this added request. Thanks for your help.

Signed-off-by: Mike Miller <mike.miller@hp.com>

 cciss.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)
-------------------------------------------------------------------------------
diff -burNp linux-2.4.21-35.EL.orig/drivers/block/cciss.c
linux-2.4.21-35.EL/drivers/block/cciss.c
--- linux-2.4.21-35.EL.orig/drivers/block/cciss.c       2005-08-19
16:54:38.000000000 -0500
+++ linux-2.4.21-35.EL/drivers/block/cciss.c   2005-08-24 10:57:06.246315568 -0500
@@ -90,6 +90,8 @@ const struct pci_device_id cciss_pci_dev
                         0x103C, 0x3223, 0, 0, 0},
        { PCI_VENDOR_ID_HP, PCI_DEVICE_ID_HP_CISSC,
                         0x103C, 0x3234, 0, 0, 0},
+       { PCI_VENDOR_ID_HP, PCI_DEVICE_ID_HP_CISSC,
+                        0x103C, 0x3235, 0, 0, 0},
        { PCI_VENDOR_ID_HP, PCI_DEVICE_ID_HP_CISSD,
                        0x103C, 0x3211, 0, 0, 0},
        { PCI_VENDOR_ID_HP, PCI_DEVICE_ID_HP_CISSD,
@@ -100,8 +102,6 @@ const struct pci_device_id cciss_pci_dev
                        0x103C, 0x3214, 0, 0, 0},
        { PCI_VENDOR_ID_HP, PCI_DEVICE_ID_HP_CISSD,
                        0x103C, 0x3215, 0, 0, 0},
-       { PCI_VENDOR_ID_HP, PCI_ANY_ID, PCI_ANY_ID, PCI_ANY_ID,
-                       PCI_CLASS_STORAGE_RAID << 8, 0xffff << 8, 0},
        {0,}
 };
 MODULE_DEVICE_TABLE(pci, cciss_pci_device_id);
@@ -125,12 +125,12 @@ static struct board_type products[] = {
        { 0x3225103C, "Smart Array P600", &SA5_access},
        { 0x3223103C, "Smart Array P800", &SA5_access},
        { 0x3234103C, "Smart Array E400", &SA5_access},
+       { 0x3235103C, "Smart Array E400i", &SA5_access},
        { 0x3211103C, "Smart Array E200i", &SA5_access},
        { 0x3212103C, "Smart Array E200", &SA5_access},
        { 0x3213103C, "Smart Array E200i", &SA5_access},
        { 0x3214103C, "Smart Array E200i", &SA5_access},
        { 0x3215103C, "Smart Array E200i", &SA5_access},
-       { 0xFFFF103C, "Unknown Smart Array", &SA5_access},
 };

 /* How long to wait (in millesconds) for board to go into simple mode */
Comment 1 Ernie Petrides 2005-08-29 17:02:22 EDT
Tom has proposed that this be included in the final U6 respin,
which he have not committed to but which might happen at the
end of this week.
Comment 4 Ernie Petrides 2005-09-02 15:19:38 EDT
A fix for this problem has just been committed to the RHEL3 U6
patch pool this afternoon (in kernel version 2.4.21-36.EL).
Comment 7 Red Hat Bugzilla 2005-09-28 11:35:52 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-663.html

Note You need to log in before you can comment on or make changes to this bug.